<?php 

add_action( 'wp_enqueue_scripts', 'my_enqueue_assets' ); 

function my_enqueue_assets() { 

   wp_enqueue_style( 'parent-style', get_template_directory_uri().'/style.css' ); 
   
   wp_enqueue_style( 'medicaltogether-css', 'https://assets.medicaltogether.com.au/styles/medicaltogether.css' ); 
   
   wp_enqueue_script( 'mt-icon-api', 'https://sponsoronline.medicaltogether.com.au/js/icons.js', array( 'jquery' ), '1.0.0' );
   
   wp_enqueue_style( 'mt-google-fonts', 'https://fonts.googleapis.com/css2?family=Red+Hat+Display:ital,wght@0,400;0,500;0,700;0,900;1,400;1,500;1,700;1,900&family=Red+Hat+Text:ital,wght@0,400;0,500;0,700;1,400;1,500;1,700&display=swap', false ); 

}


// Custom functions

function get_mt_siteID() {
	// Define Medical Together Site ID below - eg MT1234
	$mt_siteID = 'MT6030';
	return $mt_siteID;
}
 
function get_mt_sponsors_home() {
	ob_start();
	get_template_part('medicaltogether/mt-sponsors-home');
	return ob_get_clean();   
}
 
function get_mt_sponsors_services() {
	ob_start();
	get_template_part('medicaltogether/mt-sponsors-services');
	return ob_get_clean();   
}
 
function get_book_button() {
	ob_start();?>
<!-- Healthengine -->
<!-- 	<div class="he_book_container"><script data-he-id="11111" data-he-button="true" data-he-img=" " src="https://healthengine.com.au/webplugin/appointments.js"></script></div> -->
<!-- HotDoc     -->
	<div class="hd_book_container"><a href="https://www.hotdoc.com.au/medical-centres/st-james-WA-6102/bentley-medical-centre/doctors" title="Book an appointment now through HotDoc" target="_blank" data-hotdoc-widget="lightbox" data-hotdoc-button class="large" rel="noopener">Book now</a><script async src="https://cdn.hotdoc.com.au/static/assets/js/hotdoc-widgets.min.js" charset="utf-8"></script></div>
<?php return ob_get_clean();
 }

// Shortcodes for custom functions

add_shortcode( 'mt-sponsors-home', 'get_mt_sponsors_home' );

add_shortcode( 'mt-sponsors-services', 'get_mt_sponsors_services' );

add_shortcode( 'mt-book-button', 'get_book_button' );

add_shortcode( 'current-year', function() { return date('Y'); } );

add_shortcode( 'site-name', function() { return get_bloginfo(); } );